// Play3GPFileDlg.h : header file
//

#pragma once
#include "afxwin.h"


#define WM_USER_RESETDLGBUTTON WM_USER+1  // Specific message : WM_USER_RESETDLGBUTTON

class CAvSyncPlaybackWrapper;

// CPlay3GPFileDlg dialog
class CPlay3GPFileDlg : public CDialog
{
// Construction
public:
	CPlay3GPFileDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PLAY3GPFILE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

// Implementation (Appended)
public:
	HWND    m_hDisplay;
	HBITMAP m_hBMP;
	HANDLE  m_hRead3GPFileThread;  // Thread Handle
	DWORD   m_dwThreadID;          // Thread ID
	BOOL    m_bPause;              // TRUE : pause, FALSE : resume
	BOOL    m_bStop;               // TRUE : stop,  FALSE : playing
	DWORD   m_dwFastSpeedCount;    // Count of multiples of play speed
	DWORD   m_dwSlowSpeedCount;    // Count of divisors of play speed
	
	CString m_strFilePath;  // File path
	
	CAvSyncPlaybackWrapper *m_pAVWrapper;

	// Generated message map functions
	afx_msg void OnDestroy();	
	afx_msg void OnBnClickedButtonOpenfile();
	afx_msg void OnBnClickedButtonPlay();
	afx_msg void OnBnClickedButtonPause();
	afx_msg void OnBnClickedButtonStop();
	afx_msg void OnBnClickedButtonSetplayspeed1();
	afx_msg void OnBnClickedButtonSetplayspeed2();
	afx_msg void OnBnClickedButtonSetplayspeednormal();
	afx_msg void OnBnClickedButtonNextframe();
	
	afx_msg LRESULT OnResetDlgButton(WPARAM, LPARAM);  // Specifeic message handler : OnResetDlgButton
	
	// Generated control variables
	CEdit m_editboxFilePath;	
	CButton m_buttonPlay;
	CButton m_buttonPause;	
	CButton m_buttonStop;	
	CButton m_buttonSetplayspeed1;	
	CButton m_buttonSetplayspeed2;
	CButton m_buttonSetplayspeednormal;	
	CButton m_buttonNextFrame;
};
