// DisplayAndGetRawDataWithPlaybackChannelDlg.h : header file
//

#pragma once
#include "afxwin.h"


#define WM_USER_RESETDLGBUTTON WM_USER+1  // Specific message : WM_USER_RESETDLGBUTTON

class CAvSyncPlaybackGetRawWrapper;

// CDisplayAndGetRawDataWithPlaybackChannelDlg dialog
class CDisplayAndGetRawDataWithPlaybackChannelDlg : public CDialog
{
// Construction
public:
	CDisplayAndGetRawDataWithPlaybackChannelDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DISPLAYANDGETRAWFILEWITHPLAYBACKCHANNEL_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

// Implementation (Appended)
public:
	HWND    m_hDisplay;
	HBITMAP m_hBMP;
	HANDLE  m_hReadRawFileThread;  // Thread Handle
	DWORD   m_dwThreadID;          // Thread ID
	BOOL    m_bStop;               // TRUE : stop,  FALSE : playing
	
	CString m_strFilePath;  // File path

	char *m_pszSaveDirectoryPath;  // The directory path of file contains decoded data
	
	CAvSyncPlaybackGetRawWrapper *m_pAVWrapper;


	// Generated message map functions
	afx_msg void OnDestroy();	
	afx_msg void OnBnClickedButtonOpenfile();
	afx_msg void OnBnClickedButtonPlay();
	afx_msg void OnBnClickedButtonStop();
	afx_msg void OnBnClickedButtonSetupdecodedatalocation();
	afx_msg void OnBnClickedCheckUsergb();
	afx_msg void OnBnClickedCheckUseyuv();
	
	afx_msg LRESULT OnResetDlgButton(WPARAM, LPARAM);  // Specifeic message handler : OnResetDlgButton
	
	// Generated control variables
	CEdit m_editboxFilePath;	
	CButton m_buttonPlay;
	CButton m_buttonStop;	
	CEdit m_editboxSaveDecodeDataLocation;
	CButton m_buttonSetupDecodeDataLocation;
	CButton m_chkboxUseRGB;
	CButton m_chkboxUseYUV;
};
